import greenfoot.*;  // (Actor, World, Greenfoot, GreenfootImage)

public class CrabWorld extends World
{
    /**
     * Create the crab world (the beach). Our world has a size 
     * of 560x560 cells, where every cell is just 1 pixel.
     * I added a crab automatically
     * I added 3 more crabs automatically
     */
    public CrabWorld() 
    {
        super(560, 560, 1);
        populateWorld();
    }
    /**
     * Create all the actors in this class automatically when the world compiles
     * I moved all of the objects from the act method into this method
     * I made all the worms come on the world in random locations
     */
    public void populateWorld()
    {
        addObject(new Crab(),280,280);
        addObject(new Worm(),Greenfoot.getRandomNumber(560),Greenfoot.getRandomNumber(560));
        addObject(new Worm(),Greenfoot.getRandomNumber(560),Greenfoot.getRandomNumber(560));
        addObject(new Worm(),Greenfoot.getRandomNumber(560),Greenfoot.getRandomNumber(560));
        addObject(new Worm(),Greenfoot.getRandomNumber(560),Greenfoot.getRandomNumber(560));
        addObject(new Worm(),Greenfoot.getRandomNumber(560),Greenfoot.getRandomNumber(560));
        addObject(new Worm(),Greenfoot.getRandomNumber(560),Greenfoot.getRandomNumber(560));
        addObject(new Worm(),Greenfoot.getRandomNumber(560),Greenfoot.getRandomNumber(560));
        addObject(new Worm(),Greenfoot.getRandomNumber(560),Greenfoot.getRandomNumber(560));
        addObject(new Worm(),Greenfoot.getRandomNumber(560),Greenfoot.getRandomNumber(560));
        addObject(new Worm(),Greenfoot.getRandomNumber(560),Greenfoot.getRandomNumber(560));
        addObject(new Lobster(),Greenfoot.getRandomNumber(560),Greenfoot.getRandomNumber(560));
        addObject(new Lobster(),Greenfoot.getRandomNumber(560),Greenfoot.getRandomNumber(560));
        addObject(new Lobster(),Greenfoot.getRandomNumber(560),Greenfoot.getRandomNumber(560));
    }
}
