import greenfoot.*;

/**
 * Write a description of class Lobster here.
 * 
 * @author (Josh Reed) 
 * @version (10/1/15)
 * I copied the code from the crab into this class
 * I changed the code to look for crabs instead of worms
 * I added the Greenfoot.stop code stop the scenerio when the crab is cought by the lobster
 * I added the au sound to play after a lobster eats the crab
 */
public class Lobster extends Animal
{
    /**
     * Act - do whatever the Lobster wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        turnAtEdge();
        randomTurn();
        move();
        lookForCrab();
    }    
    /**
     * Check whether we have stumbled upon a crab.
     * If we have, eat it. If not, do nothing.
     */
    public void lookForCrab()
    {
        if ( canSee(Crab.class) )
        {
            eat(Crab.class);
            Greenfoot.playSound("au.wav");
            Greenfoot.stop();
        }
    }
    /**
     * Check whether random number is less than 10.
     * If it is, turn a random degree left or right. If not, do nothing.
     */
    public void randomTurn()
    {
        if ( Greenfoot.getRandomNumber(100) < 10 )
        {
            turn( Greenfoot.getRandomNumber(90)-45 );
        }
    }
    /**
     * Check whether we are at the world's edge.
     * If we are, turn 17 degrees right. If not, do nothing.
     */
    public void turnAtEdge()
    {
        if ( atWorldEdge() )
        {
            turn(17);
        }
    }
}
